package com.lightinit.hsdatashow.dictionary;

import java.util.LinkedHashMap;

public class DicIndustrialAccidentDegree {
    public static final String LIGHTDEGREE = "轻伤事故";
    public static final String SERIOUSEDEGREE = "重伤事故";
    public static final String DEATHDEGREE = "死亡事故";


    private static DicIndustrialAccidentDegree instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicIndustrialAccidentDegree(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(LIGHTDEGREE, LIGHTDEGREE);
        dicMap.put(SERIOUSEDEGREE, SERIOUSEDEGREE);
        dicMap.put(DEATHDEGREE, DEATHDEGREE);
    }

    public static DicIndustrialAccidentDegree getInstacne(){
        if (instance == null)
        {
            instance = new DicIndustrialAccidentDegree();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}
